### File

`packages/ecl/components/ecl-list-illustration/ecl-list-illustration-item.component.ts`

### Description

Component representing a single item in an ECL illustration list.

Displays optional title, value, and one or more illustration icons.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-list-illustration-item`
templateUrl | `./ecl-list-illustration-item.component.html`

### Index

###### Properties
className eclIllustrationIcons role
###### Methods
getCssClasses
###### Inputs
eclTitle eclValue class e2eAttr tabindex
###### HostBindings
attr.role class.ecl-list-illustration__item
###### Accessors
hasTitle hasValue

### Inputs

eclTitle
Type : `string`
Default value : `''`
Text displayed as the item title.

eclValue
Type : `string`
Default value : `''`
Text displayed as the item value.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`
Applies ARIA role for list items.

class.ecl-list-illustration__item
Type : `boolean`
Default value : `true`
Applies ECL class for illustration list item.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-list-illustration__item')`
Applies ECL class for illustration list item.

eclIllustrationIcons
Type : `QueryList<EclListIllustrationIconDirective>`
Decorators : `@ContentChildren(undefined)`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`
Applies ARIA role for list items.

### Accessors

hasTitle
get `hasTitle()`
Returns `true` if the item has a title or any projected icons. Returns : `boolean`

hasValue
get `hasValue()`
Returns `true` if the item has a value. Returns : `boolean`

# results matching ""

# No results matching ""